﻿//DESCRIPTION:Toggle the visibility of a layer in the active document

// Modified 2023-11-29
// Keith Gilbert, Gilbert Consulting
// www.gilbertconsulting.com

// Edit the name of the layer below (between the quote marks) to specify the layer you want to toggle
var myLayerName = "XXXXXXXXX";

Pre();
  
function Pre () { 
	// Check to make sure at least 1 ID file is open
	if (!app.documents.length) { 
		alert("No InDesign documents are open. Please open a document and try again.");
		return;
	} 
	Main();
}  
function Main() {
	var myDoc = app.activeDocument;
	var myLayer = myDoc.layers.item(myLayerName);
	if (myLayer.isValid) {
		myLayer.visible = !myLayer.visible;
	}
	else {
		alert("The layer " + myLayerName + " does not exist in this document. Edit line 8 of the script file to specify which layer to toggle.");
	}
}